# Interface CUnitTestSuiteBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, ModelElement, Named, NativeBinarySpec, NativeTestSuiteBinarySpec, TestSuiteBinarySpec`

@Incubating public interface CUnitTestSuiteBinarySpec extends NativeTestSuiteBinarySpec
An executable which run a CUnit test suite.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

### Nested classes/interfaces inherited from interface NativeTestSuiteBinarySpec

`NativeTestSuiteBinarySpec.TasksCollection`

## Method Summary

Modifier and Type
Method
Description
`CUnitTestSuiteSpec`
`getComponent()`
The component that this binary was built from.
`CUnitTestSuiteSpec`
`getTestSuite()`
Returns the test suite that this binary belongs to.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface BinarySpec

`getInputs, getSources, isBuildable`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

### Methods inherited from interface NativeBinarySpec

`getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

### Methods inherited from interface NativeTestSuiteBinarySpec

`getExecutable, getExecutableFile, getInstallation, getTasks, getTestedBinary`

## Method Details

### getComponent

CUnitTestSuiteSpec getComponent()
The component that this binary was built from.

Specified by:
  `getComponent` in interface `NativeBinarySpec`
Specified by:
  `getComponent` in interface `NativeTestSuiteBinarySpec`

### getTestSuite

CUnitTestSuiteSpec getTestSuite()
Returns the test suite that this binary belongs to.

Specified by:
  `getTestSuite` in interface `NativeTestSuiteBinarySpec`
Specified by:
  `getTestSuite` in interface `TestSuiteBinarySpec`